## seelablet 0.1.9

=== Makefile ===
DESTDIR =
all:
	make -C docs html
	make -C docs/misc all
	python setup.py build
	python3 setup.py build

clean:
	rm -rf SEEL.egg-info build
	find . -name "*~" -o -name "*.pyc" -o -name "__pycache__" | xargs rm -rf
	make -C docs clean
	make -C docs/misc clean

IMAGEDIR=$(DESTDIR)/usr/share/doc/seelablet-common/images

install:
	# install documents
	install -d $(DESTDIR)/usr/share/doc/seelablet
	cp -a docs/build/html $(DESTDIR)/usr/share/doc/seelablet
	cp docs/misc/build/*.html $(DESTDIR)/usr/share/doc/seelablet/html
	# create ditributions for Python2 and Python3
	python setup.py install --install-layout=deb \
	         --root=$(DESTDIR)/ --prefix=/usr
	python3 setup.py install --install-layout=deb \
	         --root=$(DESTDIR)/ --prefix=/usr
	# move png files from dist-package dirs to /usr/share
	for d in stylesheets controls apps; do \
	  mkdir -p $(IMAGEDIR)/$$d; \
	  mv $(DESTDIR)/usr/lib/python2.7/dist-packages/SEEL/$$d/*.png $(IMAGEDIR)/$$d; \
	  rm -f $(DESTDIR)/usr/lib/python3/dist-packages/SEEL/$$d/*.png; \
	  for f in $(IMAGEDIR)/$$d/*.png; do \
	    ln -rs $$f $(DESTDIR)/usr/lib/python2.7/dist-packages/SEEL/$$d/ ; \
	    ln -rs $$f $(DESTDIR)/usr/lib/python3/dist-packages/SEEL/$$d/ ; \
	  done; \
	done
	# rules for udev
	mkdir -p $(DESTDIR)/lib/udev/rules.d
	install -m 644 proto.rules $(DESTDIR)/lib/udev/rules.d/99-seelablet

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SEELablet.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SEELablet.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SEELablet"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SEELablet"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/misc/Makefile ===
DESTDIR =
SOURCES = $(shell ls *.html)
BUILDS  = $(patsubst %,build/%,$(SOURCES))

all: $(BUILDS)

build/%.html : %.html
	@mkdir -p build
	@./inline_images $<
	@echo "$< ==> $@"

clean:
	rm -f *~
	rm -f $(BUILDS)

install:
	install -m 644 $(BUILDS) $(DESTDIR)/docs/html

.PHONY: all clean install

=== debian/changelog ===
seelablet (0.1.9-2) unstable; urgency=medium

  * added a dependency on package udev. Closes: #814623

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 15 Feb 2016 13:30:33 +0100

seelablet (0.1.9-1) unstable; urgency=medium

  * Initial release (Closes: #809664)

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 01 Jan 2016 17:29:16 +0100

=== debian/control ===
Source: seelablet
Section: science
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 9), python-all, python3-all,
 python-setuptools, python3-setuptools, dh-python,
 dvipng, python-sphinxcontrib.blockdiag
Standards-Version: 3.9.6
Homepage: https://pypi.python.org/pypi/seelablet
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
#Vcs-Git: git://anonscm.debian.org/collab-maint/seelablet.git
#Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/seelablet.git;a=summary

Package: seelablet
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-seelablet, udev
Description: python library and scripts for SEELablet experiment box
 SEELablet is a hardware & software framework for developing science
 experiments, demonstrations and projects and learn science and
 engineering by exploration.  Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.
 
Package: python-seelablet
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 seelablet-common,
 python-serial,  python-pyqtgraph,  python-qt4,
 python-appindicator
Recommends: seelablet-doc
Description: python library for SEELablet
 SEELablet is a hardware & software framework for developing science
 experiments, demonstrations and projects and learn science and
 engineering by exploration.  Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.
 
Package: python3-seelablet
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 seelablet-common,
 python3-serial, python3-pyqtgraph, python3-pyqt4.qtopengl,
 gir1.2-appindicator3-0.1
Recommends: seelablet-doc
Description: python3 library for SEELablet
 SEELablet is a hardware & software framework for developing science
 experiments, demonstrations and projects and learn science and
 engineering by exploration.  Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.
 
Package: seelablet-common
Architecture: all
Depends: ${misc:Depends}
Description: common files for SEELablet
 SEELablet is a hardware & software framework for developing science
 experiments, demonstrations and projects and learn science and
 engineering by exploration.
 .
 This package provides rules for the udev system, to let ordinary
 users access the hardware easily.
 
Package: seelablet-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: end-user and programmer documentation for SEELablet
 this package provides the documentation for programmers using
 SEELablet, which allows one to design new experiments with the
 SEELablet box.
 .
 SEELablet is a hardware & software framework for developing science
 experiments, demonstrations and projects and learn science and
 engineering by exploration.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

DESTDIR = $(CURDIR)/debian/tmp

# main packaging script based on dh7 syntax
%:
	dh $@ --with python2 --with python3

=== debian/watch ===
version=3

opts=dversionmangle=s/expeyes-/v/ \
https://github.com/jithinbp/SEELablet/tags \
   /jithinbp/SEELablet/archive/[Vv](.*)\.tar\.gz \
 debian /bin/sh debian/get-newest-source.sh

## seelablet 1.0

=== Makefile ===
--- 
+++ 
@@ -1,30 +1,32 @@
 DESTDIR =
 all:
-	make -C docs html
-	make -C docs/misc all
+	#make -C docs html
+	#make -C docs/misc all
 	python setup.py build
 	python3 setup.py build
 
 clean:
 	rm -rf SEEL.egg-info build
 	find . -name "*~" -o -name "*.pyc" -o -name "__pycache__" | xargs rm -rf
-	make -C docs clean
-	make -C docs/misc clean
+	#make -C docs clean
+	#make -C docs/misc clean
+	rm -rf /usr/lib/python2.7/dist-packages/SEEL/*
+	#sudo rm /usr/bin/Experiments
 
 IMAGEDIR=$(DESTDIR)/usr/share/doc/seelablet-common/images
 
 install:
 	# install documents
 	install -d $(DESTDIR)/usr/share/doc/seelablet
-	cp -a docs/build/html $(DESTDIR)/usr/share/doc/seelablet
-	cp docs/misc/build/*.html $(DESTDIR)/usr/share/doc/seelablet/html
+	#cp -a docs/build/html $(DESTDIR)/usr/share/doc/seelablet
+	#cp docs/misc/build/*.html $(DESTDIR)/usr/share/doc/seelablet/html
 	# create ditributions for Python2 and Python3
 	python setup.py install --install-layout=deb \
 	         --root=$(DESTDIR)/ --prefix=/usr
 	python3 setup.py install --install-layout=deb \
 	         --root=$(DESTDIR)/ --prefix=/usr
 	# move png files from dist-package dirs to /usr/share
-	for d in stylesheets controls apps; do \
+	for d in stylesheets controls; do \
 	  mkdir -p $(IMAGEDIR)/$$d; \
 	  mv $(DESTDIR)/usr/lib/python2.7/dist-packages/SEEL/$$d/*.png $(IMAGEDIR)/$$d; \
 	  rm -f $(DESTDIR)/usr/lib/python3/dist-packages/SEEL/$$d/*.png; \

=== SEELablet-apps-master/Makefile ===
DESTDIR =
all:
	#make -C docs html
	#make -C docs/misc all
	python setup.py build
	python3 setup.py build

clean:
	rm -rf SEEL_Apps.egg-info build
	find . -name "*~" -o -name "*.pyc" -o -name "__pycache__" | xargs rm -rf
	#make -C docs clean
	#make -C docs/misc clean
	rm -rf /usr/lib/python2.7/dist-packages/SEEL_Apps*
	sudo rm /usr/bin/Experiments

IMAGEDIR=$(DESTDIR)/usr/share/doc/seelablet-common/images

install:
	# install documents
	install -d $(DESTDIR)/usr/share/doc/seelablet
	#cp -a docs/build/html $(DESTDIR)/usr/share/doc/seelablet
	#cp docs/misc/build/*.html $(DESTDIR)/usr/share/doc/seelablet/html
	# create ditributions for Python2 and Python3
	python setup.py install --install-layout=deb \
	         --root=$(DESTDIR)/ --prefix=/usr
	python3 setup.py install --install-layout=deb \
	         --root=$(DESTDIR)/ --prefix=/usr
	# move png files from dist-package dirs to /usr/share
	for d in apps miscellaneous; do \
	  mkdir -p $(IMAGEDIR)/$$d; \
	  mv $(DESTDIR)/usr/lib/python2.7/dist-packages/SEEL_Apps/$$d/*.png $(IMAGEDIR)/$$d; \
	  rm -f $(DESTDIR)/usr/lib/python3/dist-packages/SEEL_Apps/$$d/*.png; \
	  for f in $(IMAGEDIR)/$$d/*.png; do \
	    ln -rs $$f $(DESTDIR)/usr/lib/python2.7/dist-packages/SEEL_Apps/$$d/ ; \
	    ln -rs $$f $(DESTDIR)/usr/lib/python3/dist-packages/SEEL_Apps/$$d/ ; \
	  done; \
	done

=== debian/changelog ===
seelablet (1.0-1) unstable; urgency=medium

  * New upstream release
  * rewritten the script to get the newest upstream package; now applications
    are downloaded from a sister repository in addition to the library.
  * upraded Standards-Version to 3.9.8
  * fixed postinst and postrm scripts. Closes: #822660

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 May 2016 18:04:27 +0200

seelablet (0.1.9-4) unstable; urgency=medium

  * modified the postinst script. Closes: #821820

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 23 Apr 2016 19:04:52 +0200

seelablet (0.1.9-3) unstable; urgency=medium

  * moved the dependency on udev from package seelablet to package
    seelablet-common (thanks, Andreas Beckmann). Closes: #814623

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 16 Feb 2016 11:27:49 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), python-all, python3-all,
  python-setuptools, python3-setuptools, dh-python,
  dvipng, python-sphinxcontrib.blockdiag
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://pypi.python.org/pypi/seelablet
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
@@ -15,7 +15,7 @@
 Package: seelablet
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
- python3-seelablet, udev
+ python3-seelablet
 Description: python library and scripts for SEELablet experiment box
  SEELablet is a hardware & software framework for developing science
  experiments, demonstrations and projects and learn science and
@@ -64,7 +64,7 @@
  
 Package: seelablet-common
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, udev
 Description: common files for SEELablet
  SEELablet is a hardware & software framework for developing science
  experiments, demonstrations and projects and learn science and

## seelablet 1.0.4

=== Makefile ===
DESTDIR =
all:
	make -C docs html
	#make -C docs/misc all
	make -C SEEL $@ DESTDIR=$(DESTDIR)
	python setup.py build
	python3 setup.py build

clean:
	rm -rf docs/_*
	make -C SEEL $@ DESTDIR=$(DESTDIR)
	rm -rf SEEL.egg-info build
	find . -name "*~" -o -name "*.pyc" -o -name "__pycache__" | xargs rm -rf

IMAGEDIR=$(DESTDIR)/usr/share/doc/seelablet-common/images

install:
	#make -C SEEL $@ DESTDIR=$(DESTDIR)
	# install documents
	#install -d $(DESTDIR)/usr/share/doc/seelablet
	#cp -a docs/build/html $(DESTDIR)/usr/share/doc/seelablet
	#cp docs/misc/build/*.html $(DESTDIR)/usr/share/doc/seelablet/html
	# create ditributions for Python2 and Python3
	python setup.py install --install-layout=deb \
	         --root=$(DESTDIR)/ --prefix=/usr
	python3 setup.py install --install-layout=deb \
	         --root=$(DESTDIR)/ --prefix=/usr
	# rules for udev
	mkdir -p $(DESTDIR)/lib/udev/rules.d
	install -m 644 proto.rules $(DESTDIR)/lib/udev/rules.d/99-seelablet

=== SEELablet-apps-master/Makefile ===
DESTDIR =
all:
	#make -C docs html
	#make -C docs/misc all
	python setup.py build
	python3 setup.py build

clean:
	rm -rf SEEL_Apps.egg-info build
	find . -name "*~" -o -name "*.pyc" -o -name "__pycache__" | xargs rm -rf
	#make -C docs clean
	#make -C docs/misc clean
	rm -rf /usr/lib/python2.7/dist-packages/SEEL_Apps*
	sudo rm /usr/bin/Experiments

IMAGEDIR=$(DESTDIR)/usr/share/doc/seelablet-common/images

install:
	# install documents
	install -d $(DESTDIR)/usr/share/doc/seelablet
	mkdir -p $(DESTDIR)/usr/share/seelablet/seel_res
	cp -r seel_res/* $(DESTDIR)/usr/share/seelablet/seel_res/
	
	#cp docs/misc/build/*.html $(DESTDIR)/usr/share/doc/seelablet/html
	# create ditributions for Python2 and Python3
	python setup.py install --install-layout=deb \
	         --root=$(DESTDIR)/ --prefix=/usr
	sudo rm -rf /usr/lib/python2.7/dist-packages/seel_res
	#python3 setup.py install --install-layout=deb \
	#         --root=$(DESTDIR)/ --prefix=/usr
	# move png files from dist-package dirs to /usr/share

=== debian/changelog ===
seelablet (1.0.4-2) unstable; urgency=medium

  * fixed debian/seelblet.install

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 08 May 2016 19:09:54 +0200

seelablet (1.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 07 May 2016 12:42:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 9), python-all, python3-all,
  python-setuptools, python3-setuptools, dh-python,
- dvipng, python-sphinxcontrib.blockdiag
+ dvipng, python-sphinxcontrib.blockdiag,
+ python-serial
 Standards-Version: 3.9.8
 Homepage: https://pypi.python.org/pypi/seelablet
 X-Python-Version: >= 2.7
@@ -76,7 +77,8 @@
 Package: seelablet-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+ libjs-mathjax
 Description: end-user and programmer documentation for SEELablet
  this package provides the documentation for programmers using
  SEELablet, which allows one to design new experiments with the

## seelablet 1.0.6

=== Makefile ===
DESTDIR =
all:
	make -C docs html
	#make -C docs/misc all
	# make in subdirectory SEELablet-apps-master if it is there
	[ ! -d SEELablet-apps-master ] || make -C SEELablet-apps-master $@ DESTDIR=$(DESTDIR)
	python setup.py build
	python3 setup.py build

clean:
	rm -rf docs/_*
	# make in subdirectory SEELablet-apps-master if it is there
	[ ! -d SEELablet-apps-master ] || make -C SEELablet-apps-master $@ DESTDIR=$(DESTDIR)
	rm -rf SEEL.egg-info build
	find . -name "*~" -o -name "*.pyc" -o -name "__pycache__" | xargs rm -rf

IMAGEDIR=$(DESTDIR)/usr/share/doc/seelablet-common/images

install:
	# make in subdirectory SEELablet-apps-master if it is there
	[ ! -d SEELablet-apps-master ] || make -C SEELablet-apps-master $@ DESTDIR=$(DESTDIR)
	# install documents
	install -d $(DESTDIR)/usr/share/doc/seelablet
	cp -a docs/_build/html $(DESTDIR)/usr/share/doc/seelablet
	#cp docs/misc/build/*.html $(DESTDIR)/usr/share/doc/seelablet/html
	# create ditributions for Python2 and Python3
	python setup.py install --install-layout=deb \
	         --root=$(DESTDIR)/ --prefix=/usr
	python3 setup.py install --install-layout=deb \
	         --root=$(DESTDIR)/ --prefix=/usr
	# rules for udev
	mkdir -p $(DESTDIR)/lib/udev/rules.d
	install -m 644 proto.rules $(DESTDIR)/lib/udev/rules.d/99-seelablet
	# fix a few permissions
	find $(DESTDIR)/usr/share/seelablet/seel_res -name auto.sh -exec chmod -x {} \;

=== SEELablet-apps-master/Makefile ===
DESTDIR =

# the variable CUSTOM will be 'true' if we are *not* in the context of
# building a debian package (you must be rrot or use fakeroot, the
# directory .. is supposed to be the root directory of the package
# seelablet
CUSTOM = $(shell cd ..; if [ -x /usr/bin/dh_testroot -a -x /usr/bin/dh_testdir ] && dh_testroot && dh_testdir; then echo false; else echo true; fi)

all:
	#make -C docs html
	#make -C docs/misc all
	python setup.py build
	python3 setup.py build

clean:
	rm -rf SEEL_Apps.egg-info build
	rm -rf $(DESTDIR)/usr/share/seelablet/
	find . -name "*~" -o -name "*.pyc" -o -name "__pycache__" | xargs rm -rf
	#make -C docs clean
	#make -C docs/misc clean
	###### uninstalls only if in non-debian-packaging context
	if $(CUSTOM); then make uninstall_custom; fi

uninstall_custom:
	rm -rf /usr/lib/python2.7/dist-packages/SEEL_Apps*
	sudo rm -rf /usr/lib/python2.7/dist-packages/seel_res
	sudo rm -f /usr/bin/Experiments

IMAGEDIR=$(DESTDIR)/usr/share/doc/seelablet-common/images

install:
	# install documents
	install -d $(DESTDIR)/usr/share/doc/seelablet
	mkdir -p $(DESTDIR)/usr/share/seelablet/seel_res
	cp -r seel_res/* $(DESTDIR)/usr/share/seelablet/seel_res/

	#cp docs/misc/build/*.html $(DESTDIR)/usr/share/doc/seelablet/html
	# create ditributions for Python2 and Python3
	python setup.py install --install-layout=deb \
	         --root=$(DESTDIR)/ --prefix=/usr
	python3 setup.py install --install-layout=deb \
	         --root=$(DESTDIR)/ --prefix=/usr

=== docs/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
 PAPER         =
-BUILDDIR      = build
+BUILDDIR      = _build
 
 # User-friendly check for sphinx-build
 ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
@@ -15,12 +15,11 @@
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
-ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
+ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 # the i18n builder cannot share the environment and doctrees with the others
-I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
-
-.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext
-
+I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
+
+.PHONY: help
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
 	@echo "  html       to make standalone HTML files"
@@ -48,49 +47,58 @@
 	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
 	@echo "  coverage   to run coverage check of the documentation (if enabled)"
 
+.PHONY: clean
 clean:
 	rm -rf $(BUILDDIR)/*
 
+.PHONY: html
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
+.PHONY: dirhtml
 dirhtml:
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."
 
+.PHONY: singlehtml
 singlehtml:
 	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
 	@echo
 	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."
 
+.PHONY: pickle
 pickle:
 	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
 	@echo
 	@echo "Build finished; now you can process the pickle files."
 
+.PHONY: json
 json:
 	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
 	@echo
 	@echo "Build finished; now you can process the JSON files."
 
+.PHONY: htmlhelp
 htmlhelp:
 	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
 	@echo
 	@echo "Build finished; now you can run HTML Help Workshop with the" \
 	      ".hhp project file in $(BUILDDIR)/htmlhelp."
 
+.PHONY: qthelp
 qthelp:
 	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SEELablet.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SEEL.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SEELablet.qhc"
-
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SEEL.qhc"
+
+.PHONY: applehelp
 applehelp:
 	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
 	@echo
@@ -99,20 +107,23 @@
 	      "~/Library/Documentation/Help or install it in your application" \
 	      "bundle."
 
+.PHONY: devhelp
 devhelp:
 	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
 	@echo
 	@echo "Build finished."
 	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/SEELablet"
-	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SEELablet"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/SEEL"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SEEL"
 	@echo "# devhelp"
 
+.PHONY: epub
 epub:
 	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
 	@echo
 	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."
 
+.PHONY: latex
 latex:
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo
@@ -120,28 +131,33 @@
 	@echo "Run \`make' in that directory to run these through (pdf)latex" \
 	      "(use \`make latexpdf' here to do that automatically)."
 
+.PHONY: latexpdf
 latexpdf:
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo "Running LaTeX files through pdflatex..."
 	$(MAKE) -C $(BUILDDIR)/latex all-pdf
 	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
 
+.PHONY: latexpdfja
 latexpdfja:
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo "Running LaTeX files through platex and dvipdfmx..."
 	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
 	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
 
+.PHONY: text
 text:
 	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
 	@echo
 	@echo "Build finished. The text files are in $(BUILDDIR)/text."
 
+.PHONY: man
 man:
 	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
 	@echo
 	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."
 
+.PHONY: texinfo
 texinfo:
 	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
 	@echo
@@ -149,43 +165,51 @@
 	@echo "Run \`make' in that directory to run these through makeinfo" \
 	      "(use \`make info' here to do that automatically)."
 
+.PHONY: info
 info:
 	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
 	@echo "Running Texinfo files through makeinfo..."
 	make -C $(BUILDDIR)/texinfo info
 	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."
 
+.PHONY: gettext
 gettext:
 	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
 	@echo
 	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."
 
+.PHONY: changes
 changes:
 	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
 	@echo
 	@echo "The overview file is in $(BUILDDIR)/changes."
 
+.PHONY: linkcheck
 linkcheck:
 	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
 	@echo
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in $(BUILDDIR)/linkcheck/output.txt."
 
+.PHONY: doctest
 doctest:
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
 
+.PHONY: coverage
 coverage:
 	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
 	@echo "Testing of coverage in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/coverage/python.txt."
 
+.PHONY: xml
 xml:
 	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
 	@echo
 	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."
 
+.PHONY: pseudoxml
 pseudoxml:
 	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
 	@echo

=== debian/changelog ===
seelablet (1.0.6-2) unstable; urgency=medium

  * dropped the build-dependency on blockdiag, in order to prevent removal 
    from Stretch. Build-dependencies on python-sphinx and python-numpy
    have been added instead.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 05 Jun 2017 17:35:20 +0200

seelablet (1.0.6-1) unstable; urgency=medium

  * New upstream release
  * as pyopengl is still poorly supported with Python3, changed the dependency
    seelablet -> python-seelablet

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 14 May 2016 19:12:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 9), python-all, python3-all,
  python-setuptools, python3-setuptools, dh-python,
- dvipng, python-sphinxcontrib.blockdiag,
+ dvipng, python-sphinx, python-numpy,
  python-serial
 Standards-Version: 3.9.8
 Homepage: https://pypi.python.org/pypi/seelablet
@@ -16,7 +16,7 @@
 Package: seelablet
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
- python3-seelablet
+ python-seelablet
 Description: python library and scripts for SEELablet experiment box
  SEELablet is a hardware & software framework for developing science
  experiments, demonstrations and projects and learn science and

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,10 @@
 %:
 	dh $@ --with python2 --with python3
 
+# as pyopengl is still buggy with Python3, use only
+# Python2 with experiments
+override_dh_install:
+	dh_install
+	f=$(DESTDIR)/usr/bin/Experiments; \
+	sed 's%/usr/bin/python3%/usr/bin/python%' $$f > $$f.tmp && \
+	mv $$f.tmp $$f
